// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssStatusZBAT essStatusZBAT = 2;</code>
   * @return Whether the essStatusZBAT field is set.
   */
  boolean hasEssStatusZBAT();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssStatusZBAT essStatusZBAT = 2;</code>
   * @return The essStatusZBAT.
   */
  openfmb.essmodule.EssStatusZBAT getEssStatusZBAT();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.EssStatusZBAT essStatusZBAT = 2;</code>
   */
  openfmb.essmodule.EssStatusZBATOrBuilder getEssStatusZBATOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSStatusZGEN essStatusZGEN = 3;</code>
   * @return Whether the essStatusZGEN field is set.
   */
  boolean hasEssStatusZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSStatusZGEN essStatusZGEN = 3;</code>
   * @return The essStatusZGEN.
   */
  openfmb.essmodule.ESSStatusZGEN getEssStatusZGEN();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSStatusZGEN essStatusZGEN = 3;</code>
   */
  openfmb.essmodule.ESSStatusZGENOrBuilder getEssStatusZGENOrBuilder();
}
